/*
 NINJAM AU client
 Copyright (C) 2006 Expert Sleepers
 http://www.expertsleepers.co.uk/
 
 Original NINJAM code Copyright (C) 2005 Cockos Incorporated
 http://www.ninjam.com/
 
 This is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This software is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this software; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <AudioUnit/AudioUnit.r>

#include "ninjampluginVersion.h"

// Note that resource IDs must be spaced 2 apart for the 'STR ' name and description
#define kAudioUnitResID_ninjamplugin				1000
#define kAudioUnitResID_ninjampluginView			2000

//~~~~~~~~~~~~~~~~~~~ ninjamplugin ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#define RES_ID			kAudioUnitResID_ninjamplugin
#define COMP_TYPE		kAudioUnitType_Effect
#define COMP_SUBTYPE	ninjamplugin_COMP_SUBTYPE
#define COMP_MANUF		ninjamplugin_COMP_MANF

#define VERSION			kninjampluginVersion
#define NAME			"Expert Sleepers: ninjamplugin"
#define DESCRIPTION		"ninjamplugin AU"
#define ENTRY_POINT		"ninjampluginEntry"

#include "AUResources.r"

//~~~~~~~~~~~~~~~~~~ ninjamplugin View ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#define RES_ID			kAudioUnitResID_ninjampluginView
#define COMP_TYPE		kAudioUnitCarbonViewComponentType
#define COMP_SUBTYPE	ninjamplugin_COMP_SUBTYPE
#define COMP_MANUF		ninjamplugin_COMP_MANF	

#define VERSION			kninjampluginVersion
#define NAME			"Expert Sleepers: ninjamplugin"
#define DESCRIPTION		"ninjamplugin Custom Carbon AU View"
#define ENTRY_POINT		"ninjampluginViewEntry"

#include "AUResources.r"
